searchNodes=[{"doc":"Generall functions for introspection of running elixir/erlang system","ref":"Exrun.html","title":"Exrun","type":"module"},{"doc":"","ref":"IEx.Helpers.Tracer.html","title":"IEx.Helpers.Tracer","type":"module"},{"doc":"Generall functions for introspection of running elixir/erlang system","ref":"Runner.html","title":"Runner","type":"module"},{"doc":"Allocators","ref":"Runner.html#allocators/0","title":"Runner.allocators/0","type":"function"},{"doc":"Check for binary memory leaks, using garbage collection.","ref":"Runner.html#binary_leak/1","title":"Runner.binary_leak/1","type":"function"},{"doc":"Check process for binary leak.","ref":"Runner.html#binary_leak_pid/1","title":"Runner.binary_leak_pid/1","type":"function"},{"doc":"Helper function to transform bytes in appropriate format.","ref":"Runner.html#format/1","title":"Runner.format/1","type":"function"},{"doc":"Get allocator usage.","ref":"Runner.html#memory/1","title":"Runner.memory/1","type":"function"},{"doc":"Process info, which gives the identifier information back, like registered name, initial call and current function, which helps to identify process.","ref":"Runner.html#process_info/2","title":"Runner.process_info/2","type":"function"},{"doc":"Find n processes, which use the most memory.","ref":"Runner.html#processes/1","title":"Runner.processes/1","type":"function"},{"doc":"Scheduler usage based on scheduler wall time.","ref":"Runner.html#scheduler_usage/1","title":"Runner.scheduler_usage/1","type":"function"},{"doc":"System memory","ref":"Runner.html#sys_mem/0","title":"Runner.sys_mem/0","type":"function"},{"doc":"","ref":"Runner.html#sys_mem/1","title":"Runner.sys_mem/1","type":"function"},{"doc":"Find tabs","ref":"Runner.html#tabs/1","title":"Runner.tabs/1","type":"function"},{"doc":"Util allocators","ref":"Runner.html#util_allocators/0","title":"Runner.util_allocators/0","type":"function"},{"doc":"Main interface for tracing functionallity. Usage: use Tracer trace Map . new ( ) Options: :node - specified the node, on which trace should be started. :limit - specifies the limit, that should be used on collectable process. Limit options are merged with actually setted. It is possible to specify it per configuration as env :limit for application :exrun . The following limit options are available: :time - specifies the time in milliseconds, where should the rate be applied. Default specified by environments. (Default: 1000) :rate - specifies the limit of trace messages per time, if trace messages will be over this limit, the collectable process will stop and clear all traces. Default specified by environments. (Default: 250) :overall - set the absolute limit for messages. After reaching this limit, the collactable process will clear all traces and stops. Default specified by environments. (Default: nil) Additionally limit can be specified as limit: 5 , than it equivalent to limit: %{overall: 5} :formatter_local - flag for setting, where formatter process should be started. If set to false , then the formatter process will be started on remote node, if set to true , on a local machine. Defaults set to false . Tracer can trace on nodes, where elixir is not installed. If formatter_local set to true, there will be only 2 modules loaded on remote erlang node (Tracer.Utils and Tracer.Collector), which forward messages to the connected node. If formatter_local set to false, than formatter started on remote node and it load all modules from elixir application, because for formatting traces there should be loaded at least all Inspect modules. :formatter - own formatter function, example because you try to trace different inspect function. Formatter is either a fun or tuple {module, function, opts} . :format_opts - any format options, which will be passed to inspect/2 . Per default structs are disabled. :io - specify io process, which should handle io from a tracer or a tuple {init_fun, handle_fun} , which handles initialization and io process. init_fun has zero arguments and should return io , which will be passed to handle_fun together with a message. :unlink - tracer won't be stoped once a process started it terminates. (should be used for tracing into files or using network) :file - specifies a file, where traces should be saved. Option [file: &quot;/tmp/trace.log&quot;] is a shortcut for [unlink: true, io: {{File, :open!, [&quot;/tmp/trace.log&quot;, [:append]]}, {IO, :puts, []}}]","ref":"Tracer.html","title":"Tracer","type":"module"},{"doc":"Stop tracing","ref":"Tracer.html#clear_traces/1","title":"Tracer.clear_traces/1","type":"function"},{"doc":"Ensure tracer started","ref":"Tracer.html#ensure_tracer/1","title":"Tracer.ensure_tracer/1","type":"function"},{"doc":"","ref":"Tracer.html#get_config/1","title":"Tracer.get_config/1","type":"function"},{"doc":"Get status of tracer.","ref":"Tracer.html#status/1","title":"Tracer.status/1","type":"function"},{"doc":"Options The following options are available: :stack - stacktrace for the process call should be printed :exported - only exported functions should be printed :no_return - no returns should be printed for a calls :pid - specify pid, you want to trace, otherwise all processes are traced Examples iex&gt; import Tracer # should be to simplify using of trace nil iex&gt; trace :lists . seq { :ok , 2 } iex&gt; trace :lists . seq / 2 { :ok , 1 } iex&gt; trace :lists . seq ( 1 , 10 ) { :ok , 2 } iex&gt; trace :lists . seq ( a , b ) when a &lt; 10 and b &gt; 25 { :ok , 2 } iex&gt; trace :maps . get ( :undefined , _ ) , [ :stack ] { :ok , 2 } iex&gt; trace :maps . get / 2 , [ limit : %{ overall : 100 , rate : 50 , time : 50 } ] { :ok , 2 }","ref":"Tracer.html#trace/2","title":"Tracer.trace/2","type":"macro"},{"doc":"Stop tracing","ref":"Tracer.html#trace_off/1","title":"Tracer.trace_off/1","type":"function"},{"doc":"","ref":"Tracer.html#trace_run/2","title":"Tracer.trace_run/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html","title":"Tracer.Collector","type":"module"},{"doc":"","ref":"Tracer.Collector.html#clear_traces/1","title":"Tracer.Collector.clear_traces/1","type":"function"},{"doc":"","ref":"Tracer.Collector.html#configure/4","title":"Tracer.Collector.configure/4","type":"function"},{"doc":"","ref":"Tracer.Collector.html#ensure_started/2","title":"Tracer.Collector.ensure_started/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html#handle_call/2","title":"Tracer.Collector.handle_call/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html#handle_trace/2","title":"Tracer.Collector.handle_trace/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html#init/1","title":"Tracer.Collector.init/1","type":"function"},{"doc":"","ref":"Tracer.Collector.html#loop/1","title":"Tracer.Collector.loop/1","type":"function"},{"doc":"","ref":"Tracer.Collector.html#start/2","title":"Tracer.Collector.start/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html#status/1","title":"Tracer.Collector.status/1","type":"function"},{"doc":"","ref":"Tracer.Collector.html#stop/1","title":"Tracer.Collector.stop/1","type":"function"},{"doc":"","ref":"Tracer.Collector.html#stop/2","title":"Tracer.Collector.stop/2","type":"function"},{"doc":"","ref":"Tracer.Collector.html#trace/3","title":"Tracer.Collector.trace/3","type":"function"},{"doc":"","ref":"Tracer.Collector.html#trace_and_set/4","title":"Tracer.Collector.trace_and_set/4","type":"function"},{"doc":"","ref":"Tracer.Collector.html#trace_pattern/2","title":"Tracer.Collector.trace_pattern/2","type":"function"},{"doc":"Tracer format and io functions.","ref":"Tracer.Formatter.html","title":"Tracer.Formatter","type":"module"},{"doc":"","ref":"Tracer.Formatter.html#init/2","title":"Tracer.Formatter.init/2","type":"function"},{"doc":"","ref":"Tracer.Formatter.html#start_link/2","title":"Tracer.Formatter.start_link/2","type":"function"},{"doc":"","ref":"Tracer.Formatter.Base.html","title":"Tracer.Formatter.Base","type":"module"},{"doc":"","ref":"Tracer.Formatter.Base.html#format_time/1","title":"Tracer.Formatter.Base.format_time/1","type":"function"},{"doc":"Format trace message to a string.","ref":"Tracer.Formatter.Base.html#format_trace/2","title":"Tracer.Formatter.Base.format_trace/2","type":"function"},{"doc":"Module for transformation of an Elixir AST to a pattern, that possible to use for tracing","ref":"Tracer.Pattern.html","title":"Tracer.Pattern","type":"module"},{"doc":"Compile pattern from elixir AST and options","ref":"Tracer.Pattern.html#compile/2","title":"Tracer.Pattern.compile/2","type":"function"},{"doc":"Some utils functions and reimplemmenting some usefull functions, because if they traced, the calls, made from tracer shouldn't traced too.","ref":"Tracer.Utils.html","title":"Tracer.Utils","type":"module"},{"doc":"","ref":"Tracer.Utils.html#apply_func/2","title":"Tracer.Utils.apply_func/2","type":"function"},{"doc":"","ref":"Tracer.Utils.html#call!/3","title":"Tracer.Utils.call!/3","type":"function"},{"doc":"","ref":"Tracer.Utils.html#call/3","title":"Tracer.Utils.call/3","type":"function"},{"doc":"","ref":"Tracer.Utils.html#load_modules/2","title":"Tracer.Utils.load_modules/2","type":"function"},{"doc":"","ref":"Tracer.Utils.html#rpc/5","title":"Tracer.Utils.rpc/5","type":"function"},{"doc":"","ref":"Tracer.Utils.html#rpc_local/5","title":"Tracer.Utils.rpc_local/5","type":"function"}]